<?php

namespace DataViewRouter;

class MitgliedBuchung {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function renderTabTableURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::renderTabTableURL2($params);
	
    
  }

  public static function getidsURL($col, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['col'] = $col;
		return self::getidsURL2($params);
	
    
  }

  public static function permissionsURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::permissionsURL2($params);
	
    
  }

  public static function openURL($fop_table, $fop_id, $fop_from, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['fop_table'] = $fop_table;$params['fop_id'] = $fop_id;$params['fop_from'] = $fop_from;
		return self::openURL2($params);
	
    
  }

  public static function stepURL($tbl, $id, $step, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['tbl'] = $tbl;$params['id'] = $id;$params['step'] = $step;
		return self::stepURL2($params);
	
    
  }

  public static function getfilter_mitgliedBuchung_tarifItemsByStringURL($fstr, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['fstr'] = $fstr;
		return self::getfilter_mitgliedBuchung_tarifItemsByStringURL2($params);
	
    
  }

  public static function getfilter_mitgliedBuchung_mitgliedItemsByStringURL($fstr, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['fstr'] = $fstr;
		return self::getfilter_mitgliedBuchung_mitgliedItemsByStringURL2($params);
	
    
  }

  public static function getfilter_mitgliedBuchung__sammlungItemsByStringURL($fstr, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['fstr'] = $fstr;
		return self::getfilter_mitgliedBuchung__sammlungItemsByStringURL2($params);
	
    
  }

  public static function renderTabTableURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'DataView/MitgliedBuchung/renderTabTable';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function getidsURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'DataView/MitgliedBuchung/getids';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function permissionsURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'DataView/MitgliedBuchung/permissions';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function openURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'DataView/MitgliedBuchung/open';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function stepURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'DataView/MitgliedBuchung/step';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function route($q) { 
    
    
    // --- BLOCK: main ---
    
	if (($q == 'renderTabTable')) {
		try {
			$result = \DataView\MitgliedBuchung::renderTabTableAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'getids') && isset($_GET['col'])  ) {
		try {
			$result = \DataView\MitgliedBuchung::getidsAction($_GET['col']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'permissions') && isset($_GET['id'])  ) {
		try {
			$result = \DataView\MitgliedBuchung::permissionsAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'getfilter_mitgliedBuchung_tarifItemsByString') && isset($_GET['fstr'])  ) {
		try {
			$result = \DataView\MitgliedBuchung::getfilter_mitgliedBuchung_tarifItemsByStringAction($_GET['fstr']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'getfilter_mitgliedBuchung_mitgliedItemsByString') && isset($_GET['fstr'])  ) {
		try {
			$result = \DataView\MitgliedBuchung::getfilter_mitgliedBuchung_mitgliedItemsByStringAction($_GET['fstr']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'getfilter_mitgliedBuchung__sammlungItemsByString') && isset($_GET['fstr'])  ) {
		try {
			$result = \DataView\MitgliedBuchung::getfilter_mitgliedBuchung__sammlungItemsByStringAction($_GET['fstr']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'open') && isset($_GET['fop_table'])   && isset($_GET['fop_id'])   && isset($_GET['fop_from'])  ) {
		try {
			$result = \DataView\MitgliedBuchung::openAction($_GET['fop_table'], $_GET['fop_id'], $_GET['fop_from']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'step') && isset($_GET['tbl'])   && isset($_GET['id'])   && isset($_GET['step'])  ) {
		try {
			$result = \DataView\MitgliedBuchung::stepAction($_GET['tbl'], $_GET['id'], $_GET['step']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}

	header('HTTP/1.0 404 Not found');
	\EasyEditor\Errors::render('Die angeforderte Funktion wurde nicht gefunden.');
	die();
    
  }

  public static function getfilter_mitgliedBuchung_tarifItemsByStringURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'DataView/MitgliedBuchung/getfilter_mitgliedBuchung_tarifItemsByString';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function getfilter_mitgliedBuchung_mitgliedItemsByStringURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'DataView/MitgliedBuchung/getfilter_mitgliedBuchung_mitgliedItemsByString';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function getfilter_mitgliedBuchung__sammlungItemsByStringURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'DataView/MitgliedBuchung/getfilter_mitgliedBuchung__sammlungItemsByString';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderTabTableAccess() { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function getidsAccess($col) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function permissionsAccess($id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function openAccess($fop_table, $fop_id, $fop_from) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function stepAccess($tbl, $id, $step) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function getfilter_mitgliedBuchung_tarifItemsByStringAccess($fstr) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function getfilter_mitgliedBuchung_mitgliedItemsByStringAccess($fstr) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function getfilter_mitgliedBuchung__sammlungItemsByStringAccess($fstr) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }


  
  

  
  
}



